{% extends 'base.html.twig' %}
{% block header_title %}Sondages discours publics {% endblock %}

{% block head_content %}
    <div class="toggle-wrap nk-block-tools-toggle">
      <a href="#" class="btn btn-icon btn-trigger toggle-expand me-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
      <div class="toggle-expand-content" data-content="pageMenu">
        <ul class="nk-block-tools g-3">
          <li class="nk-block-tools-opt"><a data-bs-toggle="modal" data-bs-target="#modalDefault" href="#" class="btn btn-primary"><em class="icon ni ni-setting"></em><span>Générer un sondage</span></a></li>
          <li class="nk-block-tools-opt"><a  href="{{ path('app_meeting_weekend_speechsurvey_resume') }}" class="btn btn-secondary"><em class="icon ni ni-list-check"></em><span>Voir le résumé</span></a></li>
        </ul>
      </div>
    </div>
{% endblock %}

{% block body %}
  {% for message in app.flashes('success') %}
    <div class="alert alert-fill alert-icon alert-success alert-dismissible">
      <em class="icon ni ni-check-circle-fill"></em>
      {{ message }}
    </div>
  {% endfor %}
  <div class="col-xxl-12 col-sm-12 col-md-12">
    <div class="card card-bordered card-full">
      <div class="card-inner">
        <div class="card-title-group">
          <div class="card-title">
            <h6 class="title"><span class="me-2">Sondages discours publics</span></h6>
            <!--<div class="select-year mt-3">
              <select class="js-select2">
                <option value="2024">2024</option>
                <option value="2025" selected>2025</option>
                <option value="2025">2025</option>
              </select>
            </div>-->
          </div>
        </div>
      </div>
      <div class="card-inner p-0 border-top">
        <div class="nk-tb-list nk-tb-orders">
          <div class="nk-tb-item nk-tb-head">
            <div class="nk-tb-col tb-col"><span>Nom</span></div>
            <div class="nk-tb-col tb-col-md"><span>Lien</span></div>
            <div class="nk-tb-col"><span>&nbsp;</span></div>
          </div>
          {% for survey in surveys %}
            <div class="nk-tb-item">
              <div class="nk-tb-col">
                <div class="user-card">
                  <div class="user-name">
                    <span class="tb-lead"><a href="{{ path('app_meeting_weekend_speech_survey_add', {'token': survey.token}) }}"></a>{{ survey.speaker.fullName }}</span>
                  </div>
                </div>
              </div>
              <div class="nk-tb-col tb-col-md">
                <span class="tb-sub"><a href="{{ path('app_meeting_weekend_speech_survey_add', {'token': survey.token}) }}">{{ base_uri }}{{ path('app_meeting_weekend_speech_survey_add', {'token': survey.token}) }}</a></span>
              </div>
              <div class="nk-tb-col nk-tb-col-action">
                <div class="dropdown">
                  <a class="text-soft dropdown-toggle btn btn-icon btn-trigger" data-bs-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                  <div class="dropdown-menu dropdown-menu-end dropdown-menu-xs">
                    <ul class="link-list-plain">
                      <li><a href="{{ path('app_meeting_weekend_speech_survey_add', {'token': survey.token}) }}">Voir</a></li>
                      <li><a data-uri="{{ base_uri }}{{ path('app_meeting_weekend_speech_survey_add', {'token': survey.token}) }}" href="#" id="copyLink" class="copys">Copier le lien</a></li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
          {% endfor %}

        </div>
      </div>
    </div><!-- .card -->
  </div><!-- .col -->

  <div class="modal fade" tabindex="-1" id="modalDefault">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <a href="#" class="close" data-bs-dismiss="modal" aria-label="Close">
          <em class="icon ni ni-cross"></em>
        </a>
        <div class="modal-header">
          <h5 class="modal-title">Générer un sondage</h5>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12">
              <label for="speakers" class="form-label">Orateurs</label>
              <select class="form-select js-select2" id="speakers">
                <option value="default" disabled selected>Choix de l'orateur</option>
                {% for speaker in speakers %}
                  <option value="{{ speaker.id }}">{{ speaker.fullName }}</option>
                {% endfor %}
              </select>
            </div>
          </div>
        </div>
        <div class="modal-footer bg-light">
          <a href="#" class="btn btn-success btn-generate disabled" aria-disabled="true">Générer</a>
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block javascripts %}
  <script>
    $(document).ready(function () {

      copyLink()
      generateSurvey()
    })

    function copyLink() {

      const $copyLink = $('.copys');


      $copyLink.map(function (index, el) {

        $(el).click(function (e) {
          e.preventDefault()
          const dataUri = $(this).data('uri');

          navigator.clipboard.writeText(dataUri)
            .then(function() {
              // Afficher une notification ou un message pour indiquer que la copie a été effectuée
              alert('Lien copié ✅');
            })
            .catch(function(err) {
              // Gérer les erreurs, si le navigateur ne prend pas en charge la fonctionnalité
              console.error('Impossible de copier la data-uri : ', err);
            });
        })
      })

    }

    function generateSurvey() {
      const $generateBtn = $('.btn-generate')
      const $speakersSelect = $('#speakers')

      $speakersSelect.change(function (e) {

        if ($(this).val() !== 'default') {
          // Activer le bouton Generate si une option est sélectionnée
          $generateBtn.prop('aria-disabled', false);
          $generateBtn.removeClass('disabled')
        } else {
          // Désactiver le bouton Generate si aucune option n'est sélectionnée
          $generateBtn.prop('aria-disabled', true);
          $generateBtn.addClass('disabled')
        }
      })

      $generateBtn.click(function() {
        // Rediriger vers l'URL appropriée
        const selectedValue = $speakersSelect.val();
        if (selectedValue !== 'default') {
          window.location.href = "/meeting/weekend/speech/surveys/generate/" + selectedValue
        }
      });
    }
  </script>
{% endblock %}
